Commit cba4b505 authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont

Link plugins against libvlccore

This reverts back to 0.9 (and --enable-libtool 0.8.6) state. This
should fix bindings and web plugins, without hacks. However, this will
require relinking all VLC plugins whenever libvlccore changes.
parent 046bfcf1
......@@ -21,18 +21,9 @@ AM_LDFLAGS = -rpath '$(libvlcdir)' \
-avoid-version -module \
-export-symbol-regex ^vlc_entry \
-shrext $(LIBEXT) \
-no-undefined \
`$(VLC_CONFIG) --ldflags plugin $@`
AM_LIBADD = `$(VLC_CONFIG) -libs plugin $@`
if HAVE_WIN32
# Windows does not support undefined symbols
AM_LDFLAGS += -no-undefined
AM_LIBADD += $(LTLIBVLCCORE)
endif
if HAVE_WINCE
# Same for Windows CE
AM_LDFLAGS += -no-undefined
AM_LIBADD += $(LTLIBVLCCORE)
endif
AM_LIBADD = `$(VLC_CONFIG) -libs plugin $@` $(LTLIBVLCCORE)
include $(srcdir)/Modules.am
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment